# 2nd pass
# Initial control file consisting only of the expected vectors at the bottom
# of memory.
en 0000 # Reset
en 0003 # Interrupt 0
en 000b # Timer 0 interrupt
en 0013
en 001b
en 0023
# add in directives from new.ctl
hd 0000 RESET
hd 0003 INT0
hd 000b TIMER0
hd 0024 Start of Reset Code
nw 010c azTestString
hd 0054 Send Character from Serial Port ???
hd 0075 TIMER0 Interrup Handler
hd 009f INT0 Interrupt Handler
hd 00eb Convert Nibble in Acc to Hexadecimal Ascii Character
cc 00eb mask of lower nibble
cc 00ed branch if 0000..0111 (i.e. '0'..'7')
cc 00f0 branch if 1100..1111 (i.e. 'c'..'f')
cc 00f3 branch if 1000..1001 (i.e. '8'..'9')
cc 00f6 convert 12..15 to 'A'..'F'
cc 00f8 convert 0..9 to ascii
hd 00fb Print AsciiZ String from Program Memory
cb DPTR points to start of zero terminated ascii text string
cc 0100 fetch next character from program memory
cc 0101 branch to print char if not terminating NUL
cc 0109 increment pointer (offset really!)
cc 010a and loop back for the next character
az 010c
